IllegalMechanismStateException (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.sasl.IllegalMechanismStateException,IllegalMechanismStateException class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sasl
Class IllegalMechanismStateException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--javax.security.sasl.SaslException
                              |
                              +--javax.security.sasl.AuthenticationException
                                    |
                                    +--gnu.crypto.sasl.IllegalMechanismStateException

All Implemented Interfaces:
  java.io.Serializable

public class IllegalMechanismStateException
extends AuthenticationException

A checked exception thrown to indicate that an operation that should be invoked on a completed mechanism was invoked but the authentication phase of that mechanism was not completed yet, or that an operation that should be invoked on incomplete mechanisms was invoked but the authentication phase of that mechanism was already completed.

See Also:
  Serialized Form

Constructor Summary
`IllegalMechanismStateException()` Constructs a new instance of `IllegalMechanismStateException` with no detail message.
`IllegalMechanismStateException(java.lang.String detail)` Constructs a new instance of `IllegalMechanismStateException` with the specified detail message.
`IllegalMechanismStateException(java.lang.String detail, java.lang.Throwable ex)` Constructs a new instance of `IllegalMechanismStateException` with the specified detail message, and cause.

Methods inherited from class javax.security.sasl.SaslException
`getCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalMechanismStateException

    public IllegalMechanismStateException()

  Constructs a new instance of `IllegalMechanismStateException` with no detail message.

### IllegalMechanismStateException

    public IllegalMechanismStateException(java.lang.String detail)

  Constructs a new instance of `IllegalMechanismStateException` with the specified detail message.

Parameters:
  `detail` - the detail message.

### IllegalMechanismStateException

    public IllegalMechanismStateException(java.lang.String detail,
                                          java.lang.Throwable ex)

  Constructs a new instance of `IllegalMechanismStateException` with the specified detail message, and cause.

Parameters:
  `detail` - the detail message.
  `ex` - the original cause.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.